> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Journeys

> Retrieve a list of journeys



## OpenAPI

````yaml get /journey
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /journey:
    get:
      tags:
        - Journey
      summary: List Journeys
      description: Retrieve a list of journeys
      parameters:
        - name: id
          in: query
          description: Journey ID
          schema:
            type: string
        - name: name
          in: query
          description: Journey name
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: key
          in: query
          description: Journey key
          schema:
            type: string
        - name: status
          in: query
          description: Journey status
          schema:
            type: string
        - name: latest_published_version_id
          in: query
          description: Latest published version ID
          schema:
            type: string
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
        - name: Range
          in: header
          description: Limiting and Pagination
          schema:
            type: string
        - name: Range-Unit
          in: header
          description: Limiting and Pagination
          schema:
            type: string
            default: items
        - name: offset
          in: query
          description: Limiting and Pagination
          schema:
            type: string
        - name: limit
          in: query
          description: Limiting and Pagination
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/journey'
components:
  schemas:
    journey:
      type: object
      properties:
        id:
          type: string
          description: Journey ID
          format: uuid
          default: random uuid
        name:
          type: string
          description: Journey name
          format: text
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
          nullable: true
        key:
          type: string
          description: Journey key
          format: text
          nullable: true
        status:
          type: string
          description: Journey status
          format: public.journey_status
          enum:
            - active
            - inactive
            - draft
          default: draft
        latest_published_version_id:
          type: string
          description: Latest published version ID
          format: uuid
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````